MP4(3)

NAME

MP4GetSampleSync - Get the state of the sample sync flag

SYNTAX

#include <mp4.h>

u_int32_t MP4GetSampleSize(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4SampleId sampleId
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

sampleId
    Specifies the sample to which the operation applies. Caveat: the first sample has id 1 not 0.

RETURN VALUES

Upon success, the state of the sync flag, either true (1) or false (0). Upon an error, -1.

DESCRIPTION

MP4GetSampleSync returns the state of the sync/random access flag of the specified sample from the specified track.

SEE ALSO

MP4(3)